Bug 476133 - Starting Firefox causes error: SELinux is preventing npconfig (nsplugin_config_t) "signal" nsplugin_config_t.
Starting Firefox causes error: SELinux is preventing npconfig (nsplugin_confi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
10
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 22:23 EST by Larry Henry
Modified: 2009-12-18 02:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:16:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Henry 2008-12-11 22:23:17 EST
Description of problem:
Staring firefox I recieve the following message everytime:

Summary
SELinux is preventing npconfig (nsplugin_config_t) "signal" nsplugin_config_t. 

Detailed Description
SELinux denied access requested by npconfig. It is not expected that this access is required by npconfig and this access may signal an intrusion attempt. It is also possible that the specific version or configuration of the application is causing it to require additional access. 

Allowing Access
You can generate a local policy module to allow this access - see FAQ Or you can disable SELinux protection altogether. Disabling SELinux protection is not recommended. Please file a bug report against this package. 

Additional Information
Source Context:  unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023Target Context:  unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023Target Objects:  None [ process ]Source:  npconfigSource Path:  /usr/lib/nspluginwrapper/npconfigPort:  <Unknown>Host:  imac.henry.net

Source RPM 
Packages:  nspluginwrapper-1.1.10-1.fc10
Target RPM Packages:  Policy RPM:  selinux-policy-3.5.13-30.fc10Se
linux Enabled:  TruePolicy 
Type:  targeted
MLS Enabled:  TrueEnforcing 
Mode:  EnforcingPlugin 
Name:  catchall
Host Name:  imac.henry.net
Platform:  Linux imac.henry.net 2.6.27.7-134.fc10.ppc #1 Mon Dec 1 22:10:23 EST 2008 ppc ppc
Alert Count:  37
First Seen:  Thu 11 Dec 2008 09:21:07 AM EST
Last Seen:  Thu 11 Dec 2008 10:04:00 PM EST
Local ID:  
Local ID:  71bfefba-edd0-4002-8e64-0364a444789c
Line Numbers:  
Raw Audit Messages :node=imac.henry.net type=AVC msg=audit(1229051040.243:83): avc: denied { signal } for pid=3347 comm="npconfig" scontext=unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023 tclass=process node=imac.henry.net type=SYSCALL msg=audit(1229051040.243:83): arch=14 syscall=250 success=no exit=-13 a0=d13 a1=d13 a2=6 a3=8 items=0 ppid=3339 pid=3347 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="npconfig" exe="/usr/lib/nspluginwrapper/npconfig" subj=unconfined_u:unconfined_r:nsplugin_config_t:s0-s0:c0.c1023 key=(null) 

Version-Release number of selected component (if applicable):

Fedora 10

How reproducible:

Start Firefox

Steps to Reproduce:
1. Start firefox
2.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2008-12-15 12:11:05 EST
You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.5.13-35.fc10
Comment 2 Bug Zapper 2009-11-18 05:27:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:16:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.